# eSQL | SQLite manager
**Manage your SQLite like django models.**

- [**Installion**](#installion)
- [**Get Started**](#get-started)

See full documention [**here**](https://awolver.github.io/eSQL).

#### Example:

```python
import eSQL

eSQL.connect("database.db")

class User(eSQL.Model):
    id = eSQL.IntegerField(primary_key=True, not_null=True)
    name = eSQL.TextField(not_null=True)

eSQL.migrate()
# ...
```

# Installion
```bash
pip3 install eSQL
```

After [**install**](#installion) [**eSQL**](#eSQL), import that to test:
```python
>>> import eSQL
>>> eSQL.__version__
...
```

## get started
**Can using [eSQL](#eSQL) like django.**

#### connect to database
First step import that and *connect* to database.
```python
import eSQL

eSQL.connect("database.db")
```

#### create models
always you need tables in database, define tables with `eSQL.Model`:
```python
class Users(eSQL.Model):
    id = eSQL.IntegerField(primary_key=True, not_null=True)
    name = eSQL.TextField(not_null=True)
    username = eSQL.CharField(max_length=150)
    password = eSQL.CharField(max_length=20)
```

**Note1: if variables starts with `_`, model ignore that.**

**Note2: if variable named `objects`, model ignore that.**

#### migrate tables in database
Use `eSQL.migrate()`:
```python
eSQL.migrate()
```

**Can use `eSQL.sqlmigrate()` to get sql statement:**
```python
__sql = eSQL.sqlmigrate()
print(__sql)
```

## Learn More
**Learn more [here](https://awolver.github.io/eSQL).**

> drop, insert, delete, select, transaction, ...
